# samuele::Vector Class Reference

`#include <samuele.h>`

List of all members.

## Public Member Functions

| Vector (double, double, double)
Vector | operator+ (Vector)
Vector | operator- (Vector)
double | operator * (Vector)
Vector | operator * (double)
Vector | unit ()
double | abs ()
void | null ()

## Static Public Member Functions

Vector | projection (Vector, Vector)

## Public Attributes

double | x
double | y
double | z

## Detailed Description

Author:
  Samuele Catuzzi

The documentation for this class was generated from the following files:

- /home/samy/kbilliards/src/samuele.h
- /home/samy/kbilliards/src/samuele.cpp